Get all deliveries
get
/fscmRestApi/resources/11.13.18.05/receivingReceiptDeliveries
Request
Query Parameters
-
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the receiving receipt delivery according to the primary key.
Finder Variables- ReceiptDeliveryId; integer; Receiving receipt lines that are available to correct.
- PrimaryKey Finds the receiving receipt delivery according to the primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AdhocDeliveryIndicator; string; Abbreviation that identifies if the current delivery is receipt-based or not. Valid values are Y and N. The default value is N.
- AdhocLocationName; string; Destination for a delivery that's not based on a receipt.
- AdhocReceiverName; string; Name of the person specified for a delivery that's not based on a receipt.
- DeliverToLocation; string; Number that uniquely identifies the advance shipment notice.
- DeliverToLocationId; integer; Value that uniquely identifies the expense deliver-to location.
- DeliverToPersonId; integer; Value that uniquely identifies the deliver-to person or the requester.
- DeliverToPersonName; string; Name of the deliver-to person or the requester.
- DeliveredByPersonId; integer; Value that uniquely identifies the person who completed the current receiving receipt delivery.
- DeliveredByPersonName; string; Name of the person who completed the current receiving receipt delivery.
- DeliveryCartId; integer; Value that uniquely identifies the receiving delivery cart.
- DeliveryCartName; string; Name that uniquely identifies the receiving delivery cart.
- DeliveryNumber; string; Number that uniquely identifies the receiving receipt delivery.
- DeliveryStatus; string; Value that represents the status of the receiving receipt delivery.
- DeliveryStatusCode; string; Abbreviation that identifies the destination for the receiving receipt delivery. The value INVENTORY means that the delivery is for a par location. The value EXPENSE means that the delivery is intended for an expense location.
- DestinationTypeCode; string; Abbreviation that identifies the destination for the receiving receipt delivery. The value INVENTORY means that the delivery is for a par location. The value EXPENSE means that the delivery is intended for an expense location.
- DocumentNumber; string; Number that identifies the document for the current receiving receipt delivery. When the source document code is PO, this attribute is the purchase order number. When the source document code is TRANSFER ORDER, this attribute is the transfer order number.
- LPNId; integer; Value that uniquely identifies the LPN.
- LicensePlateNumber; string; Number that uniquely identifies the LPN.
- Locator; string; Name of the destination locator for the current receiving receipt delivery.
- LocatorId; integer; Value that uniquely identifies the destination locator for the current receiving receipt delivery.
- NonEmployeeReceivedByName; string; Name of the nonemployee who received the delivery.
- OrganizationCode; string; Abbreviation that uniquely identifies the receiving organization in which the delivery is created.
- OrganizationId; integer; Value that uniquely identifies the inventory organization that the user has selected.
- PARSubinventoryLocation; string; Name of the location corresponding to the par subinventory.
- PARSubinventoryLocationId; integer; Unique identifier of the location associated with the destination periodic automatic replenishment (PAR) subinventory.
- PODistributionId; integer; Value that uniquely identifies the purchase order distribution.
- ParentTransactionId; integer; Value that uniquely identifies the parent receiving transaction that created the current receiving receipt delivery.
- ReceiptDeliveryId; integer; Value that uniquely identifies the receiving receipt delivery.
- ReceiptNumber; string; Number that identifies the receipt as part of which the current receiving receipt delivery is created.
- ReceivedByName; string; Name of the person who received the receipt delivery.
- ReceivedByPersonId; integer; Value that uniquely identifies the person that has received the current receiving receipt delivery.
- ReceivedByPersonName; string; Name of the employee who received the delivery.
- RequisitionNumber; string; Number that identifies the requisition that the application used to create the purchase order or the transfer order for the current receiving receipt delivery.
- ShipmentHeaderId; integer; Value that uniquely identifies the receipt header as part of which the current receiving receipt delivery is created.
- ShipmentLineId; integer; Value that uniquely identifies the receipt line as part of which the current receiving receipt delivery is created.
- SourceDocumentCode; string; Abbreviation that identifies the source document type for the current receiving receipt delivery. Valid values include PO (purchase order) and TRANSFER ORDER.
- Subinventory; string; Name of the destination subinventory for the current receiving receipt delivery.
- SubinventoryName; string; Name of the destination subinventory for the current receiving receipt delivery.
- TaskName; string; Name that uniquely identifies the task assigned to the delivery.
- ToOrganizationId; integer; Value that uniquely identifies the receiving organization in which the delivery is created.
- TransferOrderDistributionId; integer; Value that uniquely identifies the transfer order distribution.
- ZoneTaskId; integer; Value that uniquely identifies the task assigned to the delivery.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : receivingReceiptDeliveries
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingReceiptDeliveries-item-response
Type:
Show Source
object-
AddToDeliveryCartName: string
Maximum Length:
80Name that uniquely identifies the receiving delivery cart. This should only be used when performing the Add to Delivery Cart action during the Update One Delivery operation. -
AdhocDeliveryIndicator: string
Maximum Length:
1Default Value:YAbbreviation that identifies if the current delivery is receipt-based or not. Valid values are Y and N. The default value is N. -
AdhocDeliveryOrganizationCode: string
Maximum Length:
80Abbreviation that uniquely identifies the receiving organization in which the delivery is created. This should only be used when creating a nonreceipt based delivery using the create one delivery operation. -
AdhocDeliveryUOMName: string
Maximum Length:
80Unit of measure for the current nonreceipt-based delivery. This should only be used when creating a nonreceipt based delivery using the REST API. -
AdhocLocationName: string
Title:
Deliver-to LocationMaximum Length:60Destination for a delivery that's not based on a receipt. -
AdhocReceiverName: string
Title:
Deliver-to PersonMaximum Length:2000Name of the person specified for a delivery that's not based on a receipt. -
Attachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
Comments: string
Maximum Length:
400Comment or message associated with the receipt delivery. -
CopyAttachmentDeliveryId: integer
Value that uniquely identifies the receipt delivery from which the attachment should be copied to the current delivery.
-
CreatedBy: string
Read Only:
trueMaximum Length:64The user who created the record. -
CreationDate: string
(date-time)
Read Only:
trueThe date and time when the record was created. -
DeliveredByPersonId: integer
(int64)
Value that uniquely identifies the person who completed the current receiving receipt delivery.
-
DeliveredByPersonName: string
Title:
NameRead Only:trueMaximum Length:240Name of the person who completed the current receiving receipt delivery. -
DeliverToLocation: string
Title:
NameRead Only:trueMaximum Length:60Number that uniquely identifies the advance shipment notice. -
DeliverToLocationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the expense deliver-to location. -
DeliverToPersonId: integer
(int64)
Read Only:
trueValue that uniquely identifies the deliver-to person or the requester. -
DeliverToPersonName: string
Title:
NameRead Only:trueMaximum Length:240Name of the deliver-to person or the requester. -
DeliveryCartId: integer
(int64)
Value that uniquely identifies the receiving delivery cart.
-
DeliveryCartName: string
Read Only:
trueMaximum Length:80Name that uniquely identifies the receiving delivery cart. -
DeliveryDate: string
(date-time)
Date on which the receipt delivery was completed.
-
DeliveryNumber: string
Maximum Length:
80Number that uniquely identifies the receiving receipt delivery. -
DeliveryStatus: string
Title:
MeaningRead Only:trueMaximum Length:80Value that represents the status of the receiving receipt delivery. -
DeliveryStatusCode: string
Maximum Length:
25Default Value:OPENAbbreviation that identifies the destination for the receiving receipt delivery. The value INVENTORY means that the delivery is for a par location. The value EXPENSE means that the delivery is intended for an expense location. -
DestinationTypeCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the destination for the receiving receipt delivery. The value INVENTORY means that the delivery is for a par location. The value EXPENSE means that the delivery is intended for an expense location. -
DocumentLineNumber: string
Read Only:
trueMaximum Length:80Number that identifies the document line number for the current receiving receipt delivery. When the source document code is PO, this attribute is the purchase order line number. When the source document code is TRANSFER ORDER, this attribute is the transfer order shipment line number. -
DocumentNumber: string
Read Only:
trueMaximum Length:80Number that identifies the document for the current receiving receipt delivery. When the source document code is PO, this attribute is the purchase order number. When the source document code is TRANSFER ORDER, this attribute is the transfer order number. -
DocumentScheduleNumber: string
Read Only:
trueMaximum Length:80Number that identifies the purchase order schedule for the current receiving receipt delivery. -
ItemDescription: string
Maximum Length:
240Description of the inventory item for the current delivery. -
ItemId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory item for the current delivery. -
ItemNumber: string
Read Only:
trueMaximum Length:300Name of the inventory item for the current delivery. -
ItemPrimaryImageURL: string
Title:
Primary Image URLRead Only:trueMaximum Length:4000URL for the primary image of the inventory item for the current delivery. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date and time when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who last updated the record. -
LicensePlateNumber: string
Read Only:
trueMaximum Length:30Number that uniquely identifies the LPN. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Locator: string
Read Only:
trueMaximum Length:255Name of the destination locator for the current receiving receipt delivery. -
LocatorId: integer
(int64)
Read Only:
trueValue that uniquely identifies the destination locator for the current receiving receipt delivery. -
LPNId: integer
(int64)
Read Only:
trueValue that uniquely identifies the LPN. -
NonEmployeeReceivedByName: string
Maximum Length:
2000Name of the nonemployee who received the delivery. -
OrganizationCode: string
Read Only:
trueMaximum Length:18Abbreviation that uniquely identifies the receiving organization in which the delivery is created. -
OrganizationId: integer
(int64)
Read Only:
trueValue that uniquely identifies the inventory organization that the user has selected. -
ParentTransactionId: integer
(int64)
Read Only:
trueValue that uniquely identifies the parent receiving transaction that created the current receiving receipt delivery. -
PARSubinventoryLocation: string
Title:
NameRead Only:trueMaximum Length:60Name of the location corresponding to the par subinventory. -
PARSubinventoryLocationId: integer
(int64)
Read Only:
trueUnique identifier of the location associated with the destination periodic automatic replenishment (PAR) subinventory. -
PODistributionId: integer
(int64)
Read Only:
trueValue that uniquely identifies the purchase order distribution. -
Quantity: number
Quantity of items received in the delivery.
-
ReceiptDeliveryId: integer
(int64)
Value that uniquely identifies the receiving receipt delivery.
-
ReceiptNumber: string
Read Only:
trueMaximum Length:30Number that identifies the receipt as part of which the current receiving receipt delivery is created. -
ReceivedByName: string
Read Only:
trueMaximum Length:255Name of the person who received the receipt delivery. -
ReceivedByPersonId: integer
(int64)
Value that uniquely identifies the person that has received the current receiving receipt delivery.
-
ReceivedByPersonName: string
Title:
NameRead Only:trueMaximum Length:240Name of the employee who received the delivery. -
ReceiverSignature: string
(byte)
Image that captures the signature of the recipient of the delivery.
-
RequisitionNumber: string
Read Only:
trueMaximum Length:64Number that identifies the requisition that the application used to create the purchase order or the transfer order for the current receiving receipt delivery. -
ShipmentHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the receipt header as part of which the current receiving receipt delivery is created. -
ShipmentLineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the receipt line as part of which the current receiving receipt delivery is created. -
SourceDocumentCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies the source document type for the current receiving receipt delivery. Valid values include PO (purchase order) and TRANSFER ORDER. -
StructureInstanceNumber: integer
Read Only:
trueA number representing the structure instance of the source locator. -
Subinventory: string
Read Only:
trueMaximum Length:10Name of the destination subinventory for the current receiving receipt delivery. -
SubinventoryId: integer
Read Only:
trueValue that uniquely identifies the source subinventory. -
SubinventoryName: string
Read Only:
trueMaximum Length:30Name of the destination subinventory for the current receiving receipt delivery. -
SubmitFlag: boolean
Default Value:
falseValue that indicates whether the delivery is being submitted for final closure. Valid values are true and false. The default values is false. -
TaskDuration: integer
Duration, in seconds, to complete this receipt delivery task.
-
TaskEndTime: string
(date-time)
Date and time when the user completed the task for this receipt delivery.
-
TaskName: string
Read Only:
trueMaximum Length:240Name that uniquely identifies the task assigned to the delivery. -
TaskStartTime: string
(date-time)
Date and time when the user started the task for the current receipt delivery.
-
ToOrganizationId: integer
(int64)
Value that uniquely identifies the receiving organization in which the delivery is created.
-
TrackingNumber: string
Maximum Length:
30Tracking number of the receipt delivery. -
TransferOrderDistributionId: integer
(int64)
Read Only:
trueValue that uniquely identifies the transfer order distribution. -
UnitOfMeasure: string
Title:
UOM NameRead Only:trueMaximum Length:25Unit of measure for the receiving transaction that created the current receiving receipt delivery. -
UOMCode: string
Maximum Length:
3Abbreviation that uniquely identifies the unit of measure for the receiving transaction that created the current receiving receipt delivery. -
ZoneTaskId: integer
(int64)
Value that uniquely identifies the task assigned to the delivery.
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : receivingReceiptDeliveries-Attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- completeDeliveriesForCart
-
Operation: /fscmRestApi/resources/11.13.18.05/receivingReceiptDeliveries/action/completeDeliveriesForCartComplete all the deliveries that have been loaded onto this cart.
- completeDeliveriesForLPN
-
Operation: /fscmRestApi/resources/11.13.18.05/receivingReceiptDeliveries/action/completeDeliveriesForLPNCompletes the deliveries for all items packed in this LPN.
- isReceiptLineEligibleForAutoCreateDelivery
-
Checks if the current receipt line is eligible for automatic creation of a receipt delivery.